package cn.newfeifan.mall.module.distri.controller.admin.ptprofitdailystatisticslog.vo;

import lombok.*;

import java.time.LocalDate;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 平台利润每日统计记录分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class PtProfitDailyStatisticsLogPageReqVO extends PageParam {

    @Schema(description = "时间(每日)")
    private LocalDate everyday;

    @Schema(description = "平台对碰支出")
    private Long totalCollisionAmount;

    @Schema(description = "平台剩余金额")
    private Long totalRemainingAmount;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}