package cn.newfeifan.mall.module.distri.controller.admin.ptprofitdailystatisticslog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDate;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 平台利润每日统计记录新增/修改 Request VO")
@Data
public class PtProfitDailyStatisticsLogSaveReqVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "26578")
    private Long id;

    @Schema(description = "时间(每日)", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "时间(每日)不能为空")
    private LocalDate everyday;

    @Schema(description = "平台对碰支出", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "平台对碰支出不能为空")
    private Long totalCollisionAmount;

    @Schema(description = "平台剩余金额", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "平台剩余金额不能为空")
    private Long totalRemainingAmount;

}