package cn.newfeifan.mall.module.distri.service.ptprofitlog;

import java.util.*;
import javax.validation.*;

import cn.newfeifan.mall.module.distri.controller.admin.ptprofitlog.vo.*;
import cn.newfeifan.mall.module.distri.dal.dataobject.ptprofitlog.PtProfitLogDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;
import cn.newfeifan.mall.module.distri.enums.CaclEnum;

/**
 * 平台利润记录 Service 接口
 *
 * @author 非繁人
 */
public interface PtProfitLogService {

    /**
     * 创建平台利润记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createPtProfitLog(@Valid PtProfitLogSaveReqVO createReqVO);

    /**
     * 更新平台利润记录
     *
     * @param updateReqVO 更新信息
     */
    void updatePtProfitLog(@Valid PtProfitLogSaveReqVO updateReqVO);

    /**
     * 删除平台利润记录
     *
     * @param id 编号
     */
    void deletePtProfitLog(Long id);

    /**
     * 获得平台利润记录
     *
     * @param id 编号
     * @return 平台利润记录
     */
    PtProfitLogDO getPtProfitLog(Long id);

    /**
     * 获得平台利润记录分页
     *
     * @param pageReqVO 分页查询
     * @return 平台利润记录分页
     */
    PageResult<PtProfitLogRespVO> getPtProfitLogPage(PtProfitLogPageReqVO pageReqVO);

    void saveBatch(List<PtProfitLogSaveReqVO> ptProfitLogSaveReqVOS);

    /**
     * 增加日志
     *
     * @param userId      用户ID
     * @param caclEnum    日志模板
     * @param amount      增加额度
     * @param afterAmount 增加之后的额度
     * @param jsonString  百分比计算模板
     */
    void addMessage(Long userId, CaclEnum caclEnum, Long amount, Long afterAmount, String jsonString);
    void addMessage(Long userId, CaclEnum caclEnum, Integer amount, Integer afterAmount);

    /**
     * 获取昨日的日志信息
     *
     * @param sonsId
     * @return
     */
    String getYesterdayLog(List<Long> sonsId);

    String getTotalLog(List<Long> sonsId);

}