/* 订单相关数据库扩展

订单主表`trade_order`增加字段pay_integral（支付积分）、increase_integral(用户获得积分)；
订单主表`trade_order`原有use_point、give_point 字段、refund_point（'退还的使用的积分'） 字段：记录订单项的积分信息。但是系统原来的积分与我们需求的设定不同，安全起见不使用这些积分字段。


 */

/* 因为原来的 trade_config 表是保存整个商城的全局配置，不适合保存单个店铺的贝式学习免邮设置等信息。
   所以在表 sale_shop 增加字段保存
 */
ALTER TABLE `sale_shop`
    ADD COLUMN `delivery_express_free_enabled` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否启用全场包邮';

ALTER TABLE `sale_shop`
    ADD COLUMN `delivery_express_free_price` int NOT NULL DEFAULT 0 COMMENT '全场包邮的最小金额，单位：分';

ALTER TABLE `sale_shop`
    ADD COLUMN `delivery_pick_up_enabled` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否开启自提';

-- 订单主表`trade_order`增加字段pay_integral（支付积分）、increase_integral(用户获得积分)
 ALTER TABLE `trade_order` 
ADD COLUMN `pay_integral` bigint COMMENT '支付积分';

 ALTER TABLE `trade_order` 
ADD COLUMN `increase_integral` bigint COMMENT '用户获得积分';

ALTER TABLE `trade_order`
    ADD COLUMN `refund_integral` bigint COMMENT '退还的使用的积分';

ALTER TABLE `trade_order`
    ADD COLUMN `pay_rmb` int COMMENT '实付人民币，单位：分';

-- 订单项表`trade_order_item`增加字段pay_integral（支付积分）
ALTER TABLE `trade_order_item` ADD COLUMN `pay_integral` bigint COMMENT '支付积分';
ALTER TABLE `trade_order_item` ADD COLUMN `increase_integral` bigint COMMENT '用户获得积分';
ALTER TABLE `trade_order_item` ADD COLUMN `refund_integral` bigint COMMENT '退还的使用的积分';
ALTER TABLE `trade_order_item` ADD COLUMN `pay_rmb` int COMMENT '实付人民币，单位：分';

-- 20240415
ALTER TABLE `pay_order` ADD COLUMN `parent_pay_order_id` bigint COMMENT '父级支付单id：即从购物车把多店铺订单合并支付时的支付订单id';

